Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QHRefTF

    java.lang.Object
      |
      +--com.jxml.quick.engine.QHRefTF

All Implemented Interfaces:
  QTargetFactory

public class QHRefTF
extends Object
implements QTargetFactory

Field Summary
`Field[]` | `fields`
`static Class` | `hrefClass`
`PropertyDescriptor[]` | `properties`

Constructor Summary
`QHRefTF()`

Method Summary
`void` | `add(Object object, String name, String text, QAccess access, Object parent, QTargetFactory parentFactory, QContext context)`
`Object` | `create(QContext context)`
`Field[]` | `getFields(QContext context)`
`String` | `getName(Object object)`
`PropertyDescriptor[]` | `getPropertyDescriptors(QContext context)`
`String` | `getText(Object object, QContext context)`
`boolean` | `isInstance(Object object, QContext context)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hrefClass

    public static final Class hrefClass

### properties

    public PropertyDescriptor[] properties

### fields

    public Field[] fields

Constructor Detail

### QHRefTF

    public QHRefTF()

Method Detail

### create

    public Object create(QContext context)
                  throws QPE

  Specified by:
    `create` in interface `QTargetFactory`

### isInstance

    public boolean isInstance(Object object,
                              QContext context)

  Specified by:
    `isInstance` in interface `QTargetFactory`

### getName

    public String getName(Object object)

  Specified by:
    `getName` in interface `QTargetFactory`

### getText

    public String getText(Object object,
                          QContext context)
                   throws QPE

  Specified by:
    `getText` in interface `QTargetFactory`

### add

    public void add(Object object,
                    String name,
                    String text,
                    QAccess access,
                    Object parent,
                    QTargetFactory parentFactory,
                    QContext context)
             throws QPE

  Specified by:
    `add` in interface `QTargetFactory`

### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors(QContext context)
                                                throws QPE

  Specified by:
    `getPropertyDescriptors` in interface `QTargetFactory`

### getFields

    public Field[] getFields(QContext context)
                      throws QPE

  Specified by:
    `getFields` in interface `QTargetFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD